Obtain access token endpoint
The POST /oauth/token endpoint returns tokens based on your supplied parameters.
You can use this endpoint to:
- Exchange an authorization code for a refresh and access token, using the Authorization Code Grant authentication flow.
- Exchange a JWT for an access token using the JSON Web Token (JWT) Grant authentication flow.
- Exchange a refresh token for an access token and a new refresh token.
The syntax and parameters used for making a call to this endpoint differ, depending on your use case. See JWT Grant and Confidential Auth Code Grant for details and example API calls.
If you are exchanging an authorization code for an access token using the Authorization Code Grant flow, you must include the following call headers:
Calls to this endpoint have the following set of body parameters:
After a successful call, the authentication service verifies that provided data is valid and returns the requested access token and metadata.
The response contains the following fields:
Next steps
- Learn more about authentication in the Docusign platform.
- See examples of to obtain an access token using the Auth Code, Implicit, and JWT grants.